Summary: Image loading library used with GNOME.
Name: gdk-pixbuf
Version: 0.11.0
Release: fr1
Epoch: 1
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{name}/%{name}-%{version}.tar.bz2
URL: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-root

%description
The GdkPixBuf library provides a number of features:
- Image loading facilities.
- Rendering of a GdkPixBuf into various formats:
  drawables (windows, pixmaps), GdkRGB buffers.
- A cache interface.

%package devel
Summary: Libraries and headers for development with gdk-pixbuf.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Libraries, include files, etc you can use to develop gdk-pixbuf applications.

%prep
%setup -q

%build
libtoolize --copy --force
CFLAGS="$RPM_OPT_FLAGS" ./configure     \
	--prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
	--localstatedir=%{_localstatedir}
make

%install
rm -rf %{buildroot}
make prefix=%{buildroot}%{_prefix} \
        sysconfdir=%{buildroot}%{_sysconfdir} \
        localstatedir=%{buildroot}%{_localstatedir} install

%clean
rm -rf %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README TODO doc/*.txt doc/html
%{_libdir}/lib*.so.*
%dir %{_libdir}/gdk-pixbuf
%dir %{_libdir}/gdk-pixbuf/loaders
%{_libdir}/gdk-pixbuf/loaders/lib*.so*

%files devel
%defattr(-, root, root)
%{_bindir}/gdk-pixbuf-config
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/gdk-pixbuf/loaders/lib*.a
%{_libdir}/*Conf.sh
%{_includedir}/gdk-pixbuf
%{_datadir}/aclocal/*
%{_datadir}/gnome/html/*

%changelog
* Tue May 01 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.0.

* Thu Apr 26 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.10.1.

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to make porting to new archs easy

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Aug  2 2000 Matt Wilson <msw@redhat.com>
- rebuilt against new libpng

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Owen Taylor <otaylor@redhat.com>
- Specfile fixes

* Thu Jun 15 2000 Owen Taylor <otaylor@redhat.com>
- Version 0.8.0

* Sat May  6 2000 Matt Wilson <msw@redhat.com>
- Red Hat-ified helix gdk-pixbuf RPM



